QXmpp Version:0.7.6

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Slots | Signals | Public Member Functions | List of all members
QXmppIceConnection Class Reference

The QXmppIceConnection class represents a set of UDP sockets capable of performing Interactive Connectivity Establishment (RFC 5245). More...

`#include <QXmppStun.h>`

Inheritance diagram for QXmppIceConnection:

## Public Slots

void | close ()
| Closes the ICE connection.
void | connectToHost ()
| Starts ICE connectivity checks.

## Signals

void | connected ()
| This signal is emitted once ICE negotiation succeeds.
void | disconnected ()
| This signal is emitted when ICE negotiation fails.
void | localCandidatesChanged ()
| This signal is emitted when the list of local candidates changes.
Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Public Member Functions

| QXmppIceConnection (QObject *parent=0)
QXmppIceComponent * | component (int component)
void | addComponent (int component)
void | setIceControlling (bool controlling)
| Sets whether the local party has the ICE controlling role.
QList< QXmppJingleCandidate > | localCandidates () const
QString | localUser () const
| Returns the local user fragment.
void | setLocalUser (const QString &user)
QString | localPassword () const
| Returns the local password.
void | setLocalPassword (const QString &password)
void | addRemoteCandidate (const QXmppJingleCandidate &candidate)
void | setRemoteUser (const QString &user)
void | setRemotePassword (const QString &password)
void | setStunServer (const QHostAddress &host, quint16 port=3478)
void | setTurnServer (const QHostAddress &host, quint16 port=3478)
void | setTurnUser (const QString &user)
void | setTurnPassword (const QString &password)
bool | bind (const QList< QHostAddress > &addresses)
bool | isConnected () const
| Returns true if ICE negotiation completed, false otherwise.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=0)

## Additional Inherited Members

Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
void | info (const QString &message)
void | warning (const QString &message)
void | logReceived (const QString &message)
void | logSent (const QString &message)

## Detailed Description

The QXmppIceConnection class represents a set of UDP sockets capable of performing Interactive Connectivity Establishment (RFC 5245).

## Constructor & Destructor Documentation

QXmppIceConnection::QXmppIceConnection | ( | QObject * | parent = `0` | ) |

Constructs a new ICE connection.

Parameters

  parent |

## Member Function Documentation

void QXmppIceConnection::addComponent | ( | int | component | ) |

Adds a component to this ICE connection, for instance 1 for RTP or 2 for RTCP.

Parameters

  component |

void QXmppIceConnection::addRemoteCandidate | ( | const QXmppJingleCandidate & | candidate | ) |

Adds a candidate for one of the remote components.

Parameters

  candidate |

bool QXmppIceConnection::bind | ( | const QList< QHostAddress > & | addresses | ) |

Binds the local sockets to the specified addresses.

Parameters

  addresses | The addresses on which to listen.

QXmppIceComponent * QXmppIceConnection::component | ( | int | component | ) |

Returns the given component of this ICE connection.

Parameters

  component |

QList< QXmppJingleCandidate > QXmppIceConnection::localCandidates | ( |  | ) | const

Returns the list of local HOST CANDIDATES candidates by iterating over the available network interfaces.

void QXmppIceConnection::setLocalPassword | ( | const QString & | password | ) |

Sets the local password.

You do not usually need to call this as one is automatically generated.

Parameters

  password |

void QXmppIceConnection::setLocalUser | ( | const QString & | user | ) |

Sets the local user fragment.

You do not usually need to call this as one is automatically generated.

Parameters

  user |

void QXmppIceConnection::setRemotePassword | ( | const QString & | password | ) |

Sets the remote password.

Parameters

  password |

void QXmppIceConnection::setRemoteUser | ( | const QString & | user | ) |

Sets the remote user fragment.

Parameters

  user |

void QXmppIceConnection::setStunServer | ( | const QHostAddress & | host,
|  | quint16 | port = `3478`
| ) |  |

Sets the STUN server to use to determine server-reflexive addresses and ports.

Parameters

  host | The address of the STUN server.
  port | The port of the STUN server.

void QXmppIceConnection::setTurnPassword | ( | const QString & | password | ) |

Sets the password used for authentication with the TURN server.

Parameters

  password |

void QXmppIceConnection::setTurnServer | ( | const QHostAddress & | host,
|  | quint16 | port = `3478`
| ) |  |

Sets the TURN server to use to relay packets in double-NAT configurations.

Parameters

  host | The address of the TURN server.
  port | The port of the TURN server.

void QXmppIceConnection::setTurnUser | ( | const QString & | user | ) |

Sets the user used for authentication with the TURN server.

Parameters

  user |

The documentation for this class was generated from the following files:

- QXmppStun.h
- QXmppStun.cpp